ShopMail/Models/Category.cs
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace ShopMail.Models
{
    public class Category
    {
        public int ID { get; set; }
        public string? Name { get; set; }
    }
}

ShopMail/Models/ErrorViewModel.cs
namespace ShopMail.Models;

public class ErrorViewModel
{
    public string? RequestId { get; set; }

    public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
}

ShopMail/Models/Product.cs
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace ShopMail.Models
{
    public class Product
    {
        public int ID { get; set; }
        public string? Name { get; set; }
        public decimal Price { get; set; }
        public decimal SalePrice { get; set; }
        public string? Description { get; set; }
        public int Status { get; set; }
    }
}

ShopMail/Models/ProductCategory.cs
using System;
namespace ShopMail.Models
{
    public class ProductCategory
    {
        public int ID { get; set; }
        public decimal ProductId { get; set; }
        public decimal CategoryId { get; set; }
    }
}

ShopMail/Models/ProductImage.cs
using System;
namespace ShopMail.Models
{
    public class ProductImage
    {
        public int ID { get; set; }
        public decimal ProductId { get; set; }
        public string? Image { get; set; }
        public int Sort { get; set; }
    }
}

ShopMail/Models/User.cs
using System;
namespace ShopMail.Models
{
    public class User
    {
        public int ID { get; set; }
        public string? FirstName { get; set; }
        public string? LastName { get; set; }
        public string? Phone { get; set; }
        public string? Email { get; set; }
        public string? Address { get; set; }
        public string? Avatar { get; set; }
        public string? Password { get; set; }
        public int? Role { get; set; }
    }
}

ShopMail/Controllers/AuthenticationController.cs
using Azure;
using System.Linq;
using Microsoft.AspNetCore.Cryptography.KeyDerivation;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Newtonsoft.Json.Serialization;
using ShopMail.Data;
using ShopMail.Models;
using System.Security.Cryptography;

namespace ShopMail.Controllers
{
    public class AuthenticationController : Controller
    {
        private readonly ShopDbContext _db;

        public AuthenticationController (ShopDbContext db)
        {
            _db = db;
        }

        //Get: register

        public IActionResult Register()
        {
            return View();
        }

        //Post register
        [HttpPost]
        public IActionResult Register([FromBody]User _users)
        {

            if (!ModelState.IsValid)
            {
                return View(_users);
            }
            else
            {
                var isEmailExist = _db.Users.Count(x => x.Email == _users.Email) > 0;

                if (!isEmailExist)               
                {
                    string hashed = Convert.ToBase64String(KeyDerivation.Pbkdf2(
                        password: _users.Password,
                        salt: RandomNumberGenerator.GetBytes(128 / 8), //random khoa cong khai
                        prf: KeyDerivationPrf.HMACSHA256, //lay khoa con 256 bit
                        iterationCount: 10000, //lap 10000 lan
                        numBytesRequested: 256 / 8
                        ));
                    User newUser = new User()
                    {
                        FirstName = _users.FirstName,
                        LastName = _users.LastName,
                        Phone = _users.Phone,
                        Email = _users.Email,
                        Address = _users.Address,
                        Avatar = "",
                        Password = hashed,
                        Role = 2,

                    };

                    _db.Users.Add(newUser);
                    _db.SaveChanges();
                    return Redirect("/Authentication/Login");
                }

                else
                {
                    return new ContentResult()
                    {
                        StatusCode = 19,
                        Content = "Email exists",
                        ContentType = "text/plain",
                    };
                }

            }
            return View();
        }

        //Get : login
        
        public IActionResult Login()
        {
            return View();
        }

    }
}

ShopMail/Controllers/HomeController.cs
using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using ShopMail.Interface;
using ShopMail.Models;

namespace ShopMail.Controllers;

public class HomeController : Controller
{
    private readonly ILogger<HomeController> _logger;

    private readonly ICategory _categoryRepo;
    private readonly IProduct _productRepo;

    public HomeController(ILogger<HomeController> logger, ICategory category, IProduct product)
    {
        _logger = logger;
        _categoryRepo = category;
        _productRepo = product;
    }

    public async Task<IActionResult> Index()
    {
        var categories = await _categoryRepo.GetAllCategoryAsync();
        var products = await _productRepo.GetAllProductAsync();

        ViewData["Categories"] = categories;
        ViewData["Products"] = products;

        return View();
    }

    public IActionResult Login()
    {
        return Redirect("/Authentication/Login");
    }
    public IActionResult Register()
    {
        return Redirect("/Authentication/Register");
    }
    public IActionResult About()
    {
        return View();
    }

    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Error()
    {
        return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
    }
}

ShopMail/Controllers/ProductController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using ShopMail.Interface;
using ShopMail.Models;

// For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace ShopMail.Controllers
{
    [Route("/product/list")]
    public class ProductController : Controller
    {
        private readonly IProduct _productRepository;

        public ProductController(IProduct productRepository)
        {
            _productRepository = productRepository;
        }

        [HttpGet]
        public async Task<IActionResult> GetProducts()
        {
      
            var products = await _productRepository.GetAllProductAsync();
            
            return View("/Views/Product/List.cshtml", products);
        }
    }
}

ShopMail/Views/Admin/Admin.cshtml
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/admin.css" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css"
    />
  </head>
  <body>
    <div class="Tabs">
      <div class="Title">Save Binh</div>
      <div class="tab-item active">
        <i class="tab-icon fa-solid fa-envelope"></i>
        Product
      </div>
      <div class="tab-item active">
        <i class="tab-icon fa-solid fa-user"></i>
        User
      </div>
    </div>
    <div class="Contents">
      <div class="tab-pane active">
        <button id="add">Add</button>

        <!-- The Modal -->
        <div class="modal" id="myModal">
            <div class="modal-content">
                <form action="#">
                    <input type="file" alt="Anh san pham" class="img">
                    <div class="fromGroup">
                        <b>Tên sản phẩm</b>
                        <input type="text">
                    </div>
                    <div class="fromGroup">
                        <b>Giá</b>
                        <input type="text">
                    </div>
                    <div class="fromGroup">
                        <b>Mô tả</b>
                        <input type="text">
                    </div>
                    <div class="modalButton">
                        <button id="save">Save</button>
                        <button id="cancel">Cancel</button>
                    </div>
                </form>
            </div>
        </div>

        <div class="ListItem">
          <div class="Item">
            <img
              src="https://cdn3.dhht.vn/wp-content/uploads/2022/09/1-top-15-nhung-cuon-sach-hay-nen-doc-it-nhat-1-lan-trong-doi.jpg"
              alt="anh"
            />
            <p>Ten san pham</p>
            <p>Gia san pham</p>
            <div class="controller">
                <button id="delete"><i class="icon fa-solid fa-trash" style="color: #df0c0c;"></i></button>
                <button id="update"><i class="icon fa-solid fa-pen-to-square"></i></button>
            </div>
        </div>
        <div class="Item">
            <img
              src="https://cdn3.dhht.vn/wp-content/uploads/2022/09/2-top-15-nhung-cuon-sach-hay-nen-doc-it-nhat-1-lan-trong-doi.jpg"
              alt="anh"
            />
            <p>Ten san pham</p>
            <p>Gia san pham</p>
            <div class="controller">
                <button id="delete"><i class="icon fa-solid fa-trash" style="color: #df0c0c;"></i></button>
                <button id="update"><i class="icon fa-solid fa-pen-to-square"></i></button>
            </div>
      </div>
      </div>
    </div>
    <div class="tab-pane">
        <h2>Angular</h2>
        <p>Angular is an application design framework and development platform for creating efficient and sophisticated single-page apps.</p>
    </div>
    <script src="/test.js"></script>
  </body>
</html>

ShopMail/Views/Authentication/Login.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@

@{
    Layout = "";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/css/login.css" />
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" />
</head>
<body>
    <form>
        <div class="Login">
            <h1>Sign in</h1>
            <div class="Login_text">
                <div class="Text">
                    <i class="fa-regular fa-user"></i>
                    <input type="text" placeholder="Email" id="email" />
                </div>
                <div class="Text">
                    <i class="fa-solid fa-lock"></i>
                    <input type="password" id="password" placeholder="Password" />
                    <i class="fa-regular fa-eye" onclick="changePass()"></i>
                    <i class="fa-regular fa-eye-slash" onclick="changePass()"></i>
                </div>
            </div>
            <div class="Remenber">
                <input type="checkbox" id="check"/>
                <p>Remenber</p>
            </div>
            <div class="Controller">
                <button id="login">
                    Login
                </button>
                <p>OR</p>
                <button>
                    <a >Resgister</a>
                </button>
            </div>
        </div>
    </form>
    <script>
        function changePass() {
            let password = document.getElementById("password");
            password.type = password.type == "text" ? "password" : "text";
        }
    </script>
</body>
</html>

ShopMail/Views/Authentication/Register.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/css/register.css" />
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" />
</head>
<body>
    
    <form method="POST" >
        <div class="Login">
            <h1>Resgister</h1>
            <div class="Login_text">
                <div class="Text">
                    <i class="fa-regular fa-user"></i>
                    <input type="text" placeholder="Email" id="email" />
                </div>
                <div class="Text">
                    <i class="fa-solid fa-lock"></i>
                    <input type="password" id="password" placeholder="Password" />
                    <i class="fa-regular fa-eye" onclick="changePass()"></i>
                    <i class="fa-regular fa-eye-slash" onclick="changePass()"></i>
                </div>
                <div class="Text">
                    <i class="fa-solid fa-lock"></i>
                    <input type="password" id="confirm" placeholder="Confirm password" />
                    <i class="fa-regular fa-eye" onclick="change()"></i>
                    <i class="fa-regular fa-eye-slash" onclick="change()"></i>
                </div>
                <span id="mess">Hãy nhập lại mật khẩu</span>
                <div class="Name">
                    <input type="text" placeholder="FirstName" id="first" />
                    <input type="text" placeholder="LastName" id="last" />
                </div>
                <div class="Info">
                    <input type="text" placeholder="Address" id="address" />
                    <input type="text" placeholder="Phone" id="phone" />
                </div>
            </div>
            <div class="Controller">
                <button id="Register">
                    Resgister
                </button>
                <button>
                    Login
                </button>
            </div>
        </div>
    </form>
    <script>
        function changePass() {
            let password = document.getElementById("password");
            password.type = password.type == "text" ? "password" : "text";
        }
        function change() {
            let password = document.getElementById("confirm");
            password.type = password.type == "text" ? "password" : "text";
        }
    </script>
    <script src="/js/register.js">
        
    </script>
    
</body>
</html>

ShopMail/Views/Home/About.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<div class="main">
    <div class="content">
        <div class="section group">
            <div class="col_1_of_3 span_1_of_3">
                <h3>Who We Are</h3>
                <img src="/images/about_img.jpg" alt="">
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
            </div>
            <div class="col_1_of_3 span_1_of_3">
                <h3>Our History</h3>
                <div class="history-desc">
                    <div class="year"><p>1998 -</p></div>
                    <p class="history">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                    <div class="clear"></div>
                </div>
                <div class="history-desc">
                    <div class="year"><p>2001 -</p></div>
                    <p class="history">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris.</p>
                    <div class="clear"></div>
                </div>
                <div class="history-desc">
                    <div class="year"><p>2006 -</p></div>
                    <p class="history">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                    <div class="clear"></div>
                </div>
                <div class="history-desc">
                    <div class="year"><p>2010 -</p></div>
                    <p class="history">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                    <div class="clear"></div>
                </div>
                <div class="history-desc">
                    <div class="year"><p>2013 -</p></div>
                    <p class="history">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris.</p>
                    <div class="clear"></div>
                </div>
            </div>
            <div class="col_1_of_3 span_1_of_3">
                <h3>Opportunities</h3>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                <div class="list">
                    <ul>
                        <li><a href="#">Text of the printing</a></li>
                        <li><a href="#">Lorem Ipsum has been the standard</a></li>
                        <li><a href="#">Dummy text ever since the 1500s</a></li>
                        <li><a href="#">Unknown printer took a galley</a></li>
                        <li><a href="#">Led it to make a type specimen</a></li>
                        <li><a href="#">Not only five centuries</a></li>
                        <li><a href="#">Electronic typesetting</a></li>
                        <li><a href="#">Unchanged. It was popularised</a></li>
                        <li><a href="#">Sheets containing Lorem Ipsume</a></li>
                    </ul>
                </div>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
            </div>
        </div>
    </div>
</div>

ShopMail/Views/Home/Contact.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
<div class="main">
    <div class="content">
        <div class="section group">
            <div class="col span_2_of_3">
                <div class="contact-form">
                    <h2>Contact Us</h2>
                    <form>
                        <div>
                            <span><label>Name</label></span>
                            <span><input type="text" class="textbox"></span>
                        </div>
                        <div>
                            <span><label>E-mail</label></span>
                            <span><input type="text" class="textbox"></span>
                        </div>
                        <div>
                            <span><label>Company Name</label></span>
                            <span><input type="text" class="textbox"></span>
                        </div>
                        <div>
                            <span><label>Subject</label></span>
                            <span><textarea> </textarea></span>
                        </div>
                        <div>
                            <span><input type="submit" value="Submit" class="myButton"></span>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col span_1_of_3">
                <div class="contact_info">
                    <h3>Find Us Here</h3>
                    <div class="map">
                        <iframe width="100%" height="175" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.co.in/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=Keangnam+Hanoi,+Vietnam&amp;aq=1&amp;ie=UTF8&amp;hq=&amp;hnear=Keangnam+Hanoi,+Vietnam&amp;t=m&amp;z=14&amp;ll=21.027164,105.774666&amp;output=embed"></iframe><br>
                        <small><a href="https://maps.google.co.in/maps?f=q&amp;source=embed&amp;hl=en&amp;geocode=&amp;q=Keangnam+Hanoi,+Vietnam&amp;aq=1&amp;ie=UTF8&amp;hq=&amp;hnear=Keangnam+Hanoi,+Vietnam&amp;t=m&amp;z=14&amp;ll=21.027164,105.774666" style="color:#666;text-align:left;font-size:12px">View Larger Map</a></small>
                    </div>


                </div>
                <div class="company_address">
                    <h3>Company Information :</h3>
                    <p>Toà nhà Tháp A KeangNam,</p>
                    <p>Mễ Trì, Từ Liêm,</p>
                    <p>Việt Nam</p>
                    <p>Phone:+84-123-45678</p>
                    <p>Fax: (84) 123 00 00 0</p>
                    <p>Email: <span><a href="sdsdđ">info@mycompany.com</a></span></p>
                    <p>Follow on: <span>Facebook</span>, <span>Twitter</span></p>
                </div>
            </div>
        </div>
    </div>
</div>

ShopMail/Views/Product/List.cshtml
@model List<Product>

<h1>List of Products</h1>
<!--<table>-->
    <!-- ... -->
<!--</table>-->

@foreach (var product in Model)
{
    <div>
        <p>Name: @product.Name</p>
        <p>Price: @product.Price</p>
    </div>
}

ShopMail/Views/Product/ProductItem.cshtml
@model List<Product>
@{
    ViewData["Title"] = "Các sản phẩm";
}
<div class="section group">
    @foreach (var product in Model)
    {

        <div class="grid_1_of_4 images_1_of_4">
            <a href="preview.html"><img src="/images/new-pic1.jpg" alt="" /></a>
            <h2>@product.Name </h2>
            <div class="price-details">
                <div class="price-number">
                    <p><span class="rupees">$@product.Price</span></p>
                </div>
                <div class="add-cart">
                    <h4><a href="preview.html">Add to Cart</a></h4>
                </div>
                <div class="clear"></div>
            </div>
        </div>

    }
</div>

ShopMail/Views/Shared/_Layout.cshtml
<!DOCTYPE HTML>
<head>
    <title>ShopMail | Home </title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link href="/css/style.css" rel="stylesheet" type="text/css" media="all" />
    <link href="/css/slider.css" rel="stylesheet" type="text/css" media="all" />
    <script type="text/javascript" src="~/js/jquery-1.7.2.min.js"></script>
    <script type="text/javascript" src="~/js/move-top.js"></script>
    <script type="text/javascript" src="~/js/easing.js"></script>
    <script type="text/javascript" src="~/js/startstop-slider.js"></script>
    <script type="text/javascript" src="~/js/active-nav.js"></script>

</head>
<body>
    <div class="header">
        <div class="headertop_desc">
            <div class="call">
                <p><span>Need help?</span> call us <span class="number">1-22-3456789</span></p>
            </div>
            <div class="account_desc">
                <ul>
                    <li class="active"><a asp-controller="Authentication" asp-action="Register">Register</a></li>
                    <li><a href="/Authentication/Login">Login</a></li>
                    
                </ul>
            </div>
            <div class="clear"></div>
        </div>
        <div class="header_top">
            <div class="logo">
                <a href="index.html"><img src="images/logo.png" alt="" /></a>
            </div>
            <div class="cart">
                <p>
                    Welcome to our Online Store! <span>Cart:</span><div id="dd" class="wrapper-dropdown-2">
                        0 item(s) - $0.00
                        <ul class="dropdown">
                            <li>you have no items in your Shopping cart</li>
                        </ul>
                    </div>
                </p>
            </div>
            <script type="text/javascript">function DropDown(el) {
                    this.dd = el;
                    this.initEvents();
                }
                DropDown.prototype = {
                    initEvents: function () {
                        var obj = this;

                        obj.dd.on('click', function (event) {
                            $(this).toggleClass('active');
                            event.stopPropagation();
                        });
                    }
                }

                $(function () {

                    var dd = new DropDown($('#dd'));

                    $(document).click(function () {
                        // all dropdowns
                        $('.wrapper-dropdown-2').removeClass('active');
                    });

                });</script>
            <div class="clear"></div>
        </div>
        <div class="header_bottom">

            <div class="menu">
                <ul>
                    <li> <a asp-area="" asp-controller="Home" asp-action="Index">Home</a></li>
                    <li> <a asp-area="" asp-controller="Home" asp-action="About">About</a></li>
                    <li> <a asp-area="" asp-controller="Home" asp-action="Delivery">Delivery</a></li>
                    <li> <a asp-area="" asp-controller="Home" asp-action="News">News</a></li>
                    <li> <a asp-area="" asp-controller="Home" asp-action="Index">Contact</a></li>
                
                </ul>
            </div>


            <div class="search_box">
                <form>
                    <input type="text" value="Search" onfocus="this.value = '';" onblur="if (this.value == '') {this.value = 'Search';}"><input type="submit" value="">
                </form>
            </div>
            <div class="clear"></div>
        </div>
        @RenderBody()

    </div>
    <div class="footer">
        <div class="wrap">
            <div class="section group">
                <div class="col_1_of_4 span_1_of_4">
                    <h4>Information</h4>
                    <ul>
                        <li class="active"><a href="/about">About Us</a></li>
                        <li><a href="/contact">Customer Service</a></li>
                        <li><a href="#">Advanced Search</a></li>
                        <li><a href="/delivery">Orders and Returns</a></li>
                        <li><a href="/contact">Contact Us</a></li>
                    </ul>
                </div>
                <div class="col_1_of_4 span_1_of_4">
                    <h4>Why buy from us</h4>
                    <ul>
                        <li><a aria-atomic=""  href="/about">About Us</a></li>
                        <li><a href="/contact">Customer Service</a></li>
                        <li><a href="#">Privacy Policy</a></li>
                        <li><a href="/contact">Site Map</a></li>
                        <li><a href="#">Search Terms</a></li>
                    </ul>
                </div>
                <div class="col_1_of_4 span_1_of_4">
                    <h4>My account</h4>
                    <ul>
                        <li><a href="/contact">Sign In</a></li>
                        <li><a href="index.html">View Cart</a></li>
                        <li><a href="#">My Wishlist</a></li>
                        <li><a href="#">Track My Order</a></li>
                        <li><a href="/contact">Help</a></li>
                    </ul>
                </div>
                <div class="col_1_of_4 span_1_of_4">
                    <h4>Contact</h4>
                    <ul>
                        <li><span>+84-123-456789</span></li>
                        <li><span>+84-123-000000</span></li>
                    </ul>
                    <div class="social-icons">
                        <h4>Follow Us</h4>
                        <ul>
                            <li><a href="#" target="_blank"><img src="images/facebook.png" alt="" /></a></li>
                            <li><a href="#" target="_blank"><img src="images/twitter.png" alt="" /></a></li>
                            <li><a href="#" target="_blank"><img src="images/skype.png" alt="" /> </a></li>
                            <li><a href="#" target="_blank"> <img src="images/dribbble.png" alt="" /></a></li>
                            <li><a href="#" target="_blank"> <img src="images/linkedin.png" alt="" /></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="copy_right">
            <p>&copy; 2013 home_shoppe. All rights reserved | Design by <a href="https://amela.vn/">Teams Dotnet Amela</a></p>
        </div>
    </div>
    <script type="text/javascript">$(document).ready(function () {
            $().UItoTop({ easingType: 'easeOutQuart' });

        });</script>
    <a href="#" id="toTop"><span id="toTopHover"> </span></a>
</body>
<script type="text/javascript" src="js/active-nav.js"></script>